Subject: bug#24892: {s, }brk removed from FreeBSD 11.x and later, arm64 architecture

From: [email-masked] (Ashish SHUKLA)
Date: Fri, 18 Nov 2016 17:59:44 +0530

On Thu, 17 Nov 2016 19:27:05 +0200, Eli Zaretskii <[email-masked]> said:
| Ashish,

| As you see, we here lack expertise in FreeBSD/arm internals that's
| needed to resolve this issue.  We need help from the FreeBSD/arm
| experts.  Could you please ask some FreeBSD developer to chime in and
| suggest how to fix the FreeBSD/arm build due to elimination of sbrk?

| Emacs 25.2 will begin its pretest shortly, and it would be a shame if
| we'd need to declare that Emacs can no longer be built on FreeBSD/arm,
| due to this development in FreeBSD libc.

Hi,

Thanks for your time, looking at the issue. One of the FreeBSD developer has
pointed me to this ongoing discussion[1] on freebsd-hackers@ list.

References:
[1]  https://lists.freebsd.org/pipermail/freebsd-hackers/2016-November/050144.html

HTH
-- 
Ashish SHUKLA

“The probability of  someone watching you is  directly proportional to
the stupidity of your action.”

Sent from my Emacs